ScintillaNET on .NET Framework 4

Topics: Developer Forum
Aug 15, 2012 at 2:20 PM
Edited Aug 15, 2012 at 2:22 PM

I am developing a new C++ IDE with a few language customization using Visual Studio.NET in C# [I am coding on C#, but my IDE is for C++].

I am no way going to use "ElementHost : WPF Interportablity"  in my WinForms project.

So, I found ScintillaNET best suitable for my needs!

But, My problem is that My IDE App is on .NET 4 whereas  ScintillaNET requires .NET 2.

So, I am asking if I can still use it on .NET 4 without any problems [I have tried but gave up when saw many warnings] and How?

Or, Is this project to be converted to .NET 4 in future?

Aug 16, 2012 at 12:25 AM

ScintillaNet is compatible with any .net framework abobe 2.0.

I've used ScintillaNet in projects with both .net framework 2.0 and 4.0 without any problems.

What's are those warnings about?

Aug 16, 2012 at 10:39 AM

If I convert the project to .NET 4 then warnings are shown.

But now I tried without converting, and It worked.

Anyway, Thanks!